> ## Documentation Index
> Fetch the complete documentation index at: https://docs.gleap.io/llms.txt
> Use this file to discover all available pages before exploring further.

# Get statisticsbar chart

> Get bar chart data for various statistics



## OpenAPI

````yaml https://api.gleap.io/api-docs.json get /statistics/bar-chart
openapi: 3.0.0
info:
  title: gleap-server
  version: 14.0.0
  contact: {}
servers:
  - url: https://api.gleap.io/v3
security: []
paths:
  /statistics/bar-chart:
    get:
      tags:
        - Statistics
      description: Get bar chart data for various statistics
      operationId: GetChartData
      parameters:
        - description: >-
            - Type of chart data to retrieve (e.g., NEW_TICKETS_COUNT,
            MEDIAN_FIRST_RESPONSE_TIME)
          in: query
          name: chartType
          required: true
          schema: {}
        - description: '- Timezone for date calculations (e.g., "America/New_York")'
          in: query
          name: timezone
          required: false
          schema:
            type: string
        - description: '- Grouping interval ("day", "month", "year")'
          in: query
          name: groupInterval
          required: false
          schema:
            type: string
            enum:
              - day
              - month
              - year
        - in: query
          name: skip
          required: false
          schema:
            type: number
            format: double
        - in: query
          name: limit
          required: false
          schema:
            type: number
            format: double
        - in: query
          name: groupedBy
          required: false
          schema:
            type: string
        - description: '- Aggregation type ("MEDIAN", "AVERAGE")'
          in: query
          name: aggsType
          required: false
          schema:
            type: string
        - description: '- Start date for filtering (ISO format)'
          in: query
          name: startDate
          required: false
          schema:
            type: string
        - description: '- End date for filtering (ISO format)'
          in: query
          name: endDate
          required: false
          schema:
            type: string
        - in: query
          name: createdAt
          required: false
          schema:
            type: string
        - in: query
          name: updatedAt
          required: false
          schema:
            type: string
        - in: query
          name: outbound
          required: false
          schema:
            type: string
      responses:
        '200':
          description: Ok
          content:
            application/json:
              schema: {}
      security:
        - jwt: []
components:
  securitySchemes:
    jwt:
      type: http
      scheme: bearer
      bearerFormat: JWT

````